package com.huimv.env.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-08-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pig_unit")
public class PigUnit implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 单元id
     */
    @TableId(value = "unit_id", type = IdType.AUTO)
    private Integer unitId;

    /**
     * 猪场单元id
     */
    private String pigId;

    /**
     * 牧场id
     */
    private Integer farmId;

    /**
     * 单元名称
     */
    private String unitName;


}
