package com.huimv.env.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.env.common.entity.EnergyEnvDevice;
import com.huimv.env.common.utils.Result;
import org.springframework.web.multipart.MultipartFile;


import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-02-21
 */
public interface IEnergyEnvDeviceService extends IService<EnergyEnvDevice> {

    Result list(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result add(HttpServletRequest httpServletRequest, EnergyEnvDevice energyEnvDevice);

    Result edit(HttpServletRequest httpServletRequest, EnergyEnvDevice energyEnvDevice);

    Result delete(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result bandingUnitId(HttpServletRequest httpServletRequest, EnergyEnvDevice envDevice);

    Result deviceCount(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result importData(HttpServletRequest httpServletRequest, Map<String, String> paramsMap, MultipartFile files) throws Exception;

    Result updateName(HttpServletRequest httpServletRequest, MultipartFile files) throws Exception;

    void getData() throws Exception;

    void getDeviceList(String farmId) throws Exception;

    Result updateStart(Map<String, String> paramsMap);
}
