package com.huimv.env.common.utils;

import cn.hutool.core.util.ObjectUtil;
import com.huimv.env.common.entity.EnergyWater;
import com.huimv.env.common.entity.vo.DeviceListVo;
import com.huimv.env.common.entity.vo.GetWaterAndElectricityVo;
import org.jxls.common.Context;
import org.jxls.util.JxlsHelper;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.List;

public class Print {
    /**
     * 打印方法  不插入图片
     *
     * @return
     * @throws Exception
     */
    public static void printDuck(List<GetWaterAndElectricityVo> list) throws Exception {

        //准备数据
        String path = "G://getData.xls";
        //获取模板文件，你自己当前模板的位置  我这里为当前项目下
        InputStream is = new FileInputStream("G://getData.xlsx");
        //根据模板生成的文件保存路径  我这里保存在本地D盘
        OutputStream os = new FileOutputStream(path);
        //绑定数据
        Context context = new Context();
//        List<GetWaterAndElectricityVo> list1 = new ArrayList<>();
//        for (GetWaterAndElectricityVo vo : list) {
//            GetWaterAndElectricityVo vo1 = new GetWaterAndElectricityVo();
//            vo1.setFarmName(vo.getFarmName());
//            vo1.setTypeName(vo.getTypeName());
//            vo1.setCount1(vo.getCount1());
//            vo1.setCount2(vo.getCount2());
//            vo1.setDeviceCode(vo.getDeviceCode());
//            list1.add(vo1);
//        }
        context.putVar("list", list);

        //生成
        JxlsHelper.getInstance().processTemplate(is, os, context);
    }

    public static void printDeviceList(List<DeviceListVo> list) throws Exception {

        //准备数据
        String path = "G://getDeviceList.xls";
        //获取模板文件，你自己当前模板的位置  我这里为当前项目下
        InputStream is = new FileInputStream("G://getDeviceList.xlsx");
        //根据模板生成的文件保存路径  我这里保存在本地D盘
        OutputStream os = new FileOutputStream(path);
        //绑定数据
        Context context = new Context();
//        List<GetWaterAndElectricityVo> list1 = new ArrayList<>();
//        for (GetWaterAndElectricityVo vo : list) {
//            GetWaterAndElectricityVo vo1 = new GetWaterAndElectricityVo();
//            vo1.setFarmName(vo.getFarmName());
//            vo1.setTypeName(vo.getTypeName());
//            vo1.setCount1(vo.getCount1());
//            vo1.setCount2(vo.getCount2());
//            vo1.setDeviceCode(vo.getDeviceCode());
//            list1.add(vo1);
//        }
        context.putVar("list", list);

        //生成
        JxlsHelper.getInstance().processTemplate(is, os, context);
    }

}